stages:          # List of stages for jobs, and their order of execution
  - build
  - test

build-job:       # This job runs in the build stage, which runs first.
  stage: build
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD gitlab.mustafa.lan:5005
  script:
    - docker build -t $CI_REGISTRY/mustafa/hellodocker/hellobusy .
    - docker push $CI_REGISTRY/mustafa/hellodocker/hellobusy

test-job:
  stage: test
  script:
    - docker run -e "arg=$ARG" $CI_REGISTRY/mustafa/hellodocker/hellobusy

